- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
StarPageAttribute::SubDocument Class Reference

Internal: the subdocument of a StarObjectSpreadsheet. More...

Inheritance diagram for StarPageAttribute::SubDocument:

## Public Member Functions
| SubDocument (shared_ptr< StarObjectSmallText > text)
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (STOFFSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (STOFFSubDocument const &doc) const
| operator!== More...
void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from STOFFSubDocument
| STOFFSubDocument (STOFFParser *pars, STOFFInputStreamPtr ip, STOFFEntry const &z)
| constructor from parser, input stream and zone in the input More...
| STOFFSubDocument (STOFFSubDocument const &doc)
| copy constructor More...
STOFFSubDocument & | operator= (STOFFSubDocument const &doc)
| copy operator More...
virtual | ~STOFFSubDocument ()
| virtual destructor More...
bool | operator== (STOFFSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
shared_ptr< StarObjectSmallText > | m_smallText
| the note text More...
Protected Attributes inherited from STOFFSubDocument
STOFFParser * | m_parser
| the main zone parser More...
shared_ptr< STOFFInputStream > | m_input
| the input More...
STOFFEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

Internal: the subdocument of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

StarPageAttribute::SubDocument::SubDocument | ( | shared_ptr< StarObjectSmallText > | text | ) |
| inline explicit

virtual StarPageAttribute::SubDocument::~SubDocument | ( |  | ) |
| inline virtual

destructor

## Member Function Documentation

virtual bool StarPageAttribute::SubDocument::operator!= | ( | STOFFSubDocument const & | doc | ) | const
| inline virtual

operator!=

Reimplemented from STOFFSubDocument.

virtual bool StarPageAttribute::SubDocument::operator== | ( | STOFFSubDocument const & | doc | ) | const
| inline virtual

operator!==

void StarPageAttribute::SubDocument::parse | ( | STOFFListenerPtr & | listener,
|  | libstoff::SubDocumentType | type
| ) |  |
| virtual

the parser function

Implements STOFFSubDocument.

## Member Data Documentation

shared_ptr<StarObjectSmallText> StarPageAttribute::SubDocument::m_smallText
| protected

the note text

Referenced by operator!=().

The documentation for this class was generated from the following file:

- StarPageAttribute.cxx